/*==========================================================
****公司服务主要业务：                                    
*1，高端网站设计与建设,网站运营托管；                                     
*2，网站维护,网站修改，功能开发，数据异常处理；                           
*3，专业仿站,插件模板定制,程序源码开发；                                  
*4，网页设计，图标logo设计，图片美工设计；                                
*5，服务器托管，安全维护；                                                
*6，网站优化SEO，全网整合营销推广； 
*7，公众号小程序开发制作； 
****百度搜索：自丢网                                                                
****我们的官网：www.zidiu.com       www.heitaozi.com 
****技术QQ：515138                                                           
===========================================================*/
const form = document.getElementById('form');
const username = document.getElementById('username');
const email = document.getElementById('email');
const password = document.getElementById('password');
const password2 = document.getElementById('password2');

form.addEventListener('submit', e => {
	e.preventDefault();
	
	checkInputs();
});

function checkInputs() {
	// trim to remove the whitespaces
	const usernameValue = username.value.trim();
	const emailValue = email.value.trim();
	const passwordValue = password.value.trim();
	const password2Value = password2.value.trim();
	
	if(usernameValue === '') {
		setErrorFor(username, '用户名不能为空');
	} else {
		setSuccessFor(username);
	}
	
	if(emailValue === '') {
		setErrorFor(email, '邮箱不能为空');
	} else if (!isEmail(emailValue)) {
		setErrorFor(email, '邮箱格式不正常');
	} else {
		setSuccessFor(email);
	}
	
	if(passwordValue === '') {
		setErrorFor(password, '密码不能为空');
	} else {
		setSuccessFor(password);
	}
	
	if(password2Value === '') {
		setErrorFor(password2, '密码不能为空');
	} else if(passwordValue !== password2Value) {
		setErrorFor(password2, '两次密码不正确');
	} else{
		setSuccessFor(password2);
	}
}

function setErrorFor(input, message) {
	const formControl = input.parentElement;
	const small = formControl.querySelector('small');
	formControl.className = 'form-control error';
	small.innerText = message;
}

function setSuccessFor(input) {
	const formControl = input.parentElement;
	formControl.className = 'form-control success';
}
	
function isEmail(email) {
	return /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/.test(email);
}